Integration POST passthrough
POST
/api/integration/{name}/{path}
const url = 'https://example.com/api/integration/eloqua/example';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/integration/eloqua/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'Routes a POST request to the handler registered for the named integration (e.g. eloqua).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
Integration name
string
Example
eloquapath
required
Integration-specific sub-path
string
Request Body
Section titled “Request Body”Media typeapplication/json
Integration-specific payload
object
Examplegenerated
{}Responses
Section titled “Responses”Integration handler response
Media typeapplication/json
object
Examplegenerated
{}No handler registered for the integration